Activity log for bug #309674

Date Who What changed Old value New value Message
2008-12-19 11:49:07 Colin Watson bug added bug
2008-12-19 11:49:29 Colin Watson pygobject: importance Undecided Critical
2008-12-19 11:49:29 Colin Watson pygobject: statusexplanation
2008-12-19 11:50:00 Colin Watson pygobject: importance Undecided Critical
2008-12-19 11:50:00 Colin Watson pygobject: statusexplanation
2008-12-19 11:50:11 Colin Watson pygobject: importance Critical High
2008-12-19 14:35:25 Colin Watson bug assigned to pygobject (Debian)
2008-12-19 14:35:51 Colin Watson bug added attachment 'hardy.diff' (hardy-proposed patch)
2008-12-19 15:02:36 Loïc Minier bug added attachment 'pygobject-hardy-debdiff' (Alternate debdiff which moves aclocal and configure diffes to a new patch to avoid the timestamp skews; still keeps Colin's changes as a safety net)
2008-12-25 15:21:04 Loïc Minier bug added attachment 'pygobject-hardy-debdiff-v2' (Alternate debdiff which moves aclocal and configure diffes to a new patch to avoid the timestamp skews; still keeps Colin's changes as a safety net; also avoid config.guess/.sub auto update (v2))
2009-01-06 12:20:04 Martin Pitt pygobject: status New Fix Committed
2009-01-06 12:20:49 Martin Pitt pygobject: status New Triaged
2009-01-06 12:20:49 Martin Pitt pygobject: statusexplanation Please fix this in Jaunty soon, too.
2009-01-06 12:20:58 Martin Pitt bug added subscriber SRU Verification
2009-01-06 12:21:05 Martin Pitt bug added subscriber Ubuntu Stable Release Updates Team
2009-01-06 16:29:09 Loïc Minier pygobject: status Triaged Fix Released
2009-01-06 16:29:09 Loïc Minier pygobject: statusexplanation Please fix this in Jaunty soon, too. The problem isn't present in jaunty as there's a separate patch for the autotools update. The PYTHON= robustness change is present in Debian's SVN, but isn't merged yet in jaunty; I think it can wait until our next rebase on Debian, either in jaunty or jaunty+1.
2009-01-27 20:47:47 Steve Langasek description The version of pygobject in hardy-updates on sparc is misbuilt to supply only a python2.5 version. This causes ubiquity to fail to build since python-gtk2 is uninstallable (http://launchpadlibrarian.net/20576122/buildlog_ubuntu-hardy-sparc.ubiquity_1.8.13_FAILEDTOBUILD.txt.gz). The cause of this is timestamp skew in the build; although it currently happens to apply only to sparc, it could affect any other architecture in a future build, and therefore should be fixed before it bites us in a more painful place. Looking at the pygobject source package in hardy-updates, it includes the following two patches: <cjwatson@sarantium ~/src/ubuntu/pygobject/pygobject-2.14.2>$ diffstat debian/patches/60_use-python-config-for-includes.patch aclocal.m4 | 843 ++++++++++++++++++++++------------------------------------- configure | 217 ++++++++------- configure.ac | 4 3 files changed, 449 insertions(+), 615 deletions(-) <cjwatson@sarantium ~/src/ubuntu/pygobject/pygobject-2.14.2>$ diffstat debian/patches/61_dont_use_setwakeupfd.patch configure | 62 ----------------------------------------------------------- configure.ac | 20 ------------------- 2 files changed, 82 deletions(-) If the second patch happens to be applied sufficiently later (in the next second) than the first, the standard Automake rules to rebuild autotools files when they change will note that aclocal.m4 is older than configure.ac, and will therefore rerun aclocal and autoconf, and subsequently run ./config.status --recheck. These are run as subprocesses of make and therefore without the PYTHON environment variable that debian/rules passes to configure; as a result, ./config.status picks up the default system python (2.5) rather than the one forced by the PYTHON environment variable (which is 2.4 in the first build pass). You can see the problem in action by comparing these two build logs: http://launchpadlibrarian.net/15910647/buildlog_ubuntu-hardy-i386.pygobject_2.14.2-0ubuntu1_FULLYBUILT.txt.gz http://launchpadlibrarian.net/15911262/buildlog_ubuntu-hardy-sparc.pygobject_2.14.2-0ubuntu1_FULLYBUILT.txt.gz Possible fixes include: (a) regenerate aclocal.m4 in a later patch rather than in 60_use-python-config-for-includes.patch; (b) touch aclocal.m4 and configure after applying patches; (c) set PYTHON when calling make so that even if ./config.status --recheck is run it will produce correct results. The versions of pygobject in intrepid and jaunty do (a) (they contain debian/patches/90_autofoo.patch) and therefore do not suffer from this problem, although in principle they might later if the autotools patch were removed. I am inclined to recommend approach (c) in both hardy-updates and jaunty, on the basis that it is a more permanent fix. The version of pygobject in hardy-updates on sparc is misbuilt to supply only a python2.5 version. This causes ubiquity to fail to build since python-gtk2 is uninstallable (http://launchpadlibrarian.net/20576122/buildlog_ubuntu-hardy-sparc.ubiquity_1.8.13_FAILEDTOBUILD.txt.gz). The cause of this is timestamp skew in the build; although it currently happens to apply only to sparc, it could affect any other architecture in a future build, and therefore should be fixed before it bites us in a more painful place. Looking at the pygobject source package in hardy-updates, it includes the following two patches: <cjwatson@sarantium ~/src/ubuntu/pygobject/pygobject-2.14.2>$ diffstat debian/patches/60_use-python-config-for-includes.patch aclocal.m4 | 843 ++++++++++++++++++++++------------------------------------- configure | 217 ++++++++------- configure.ac | 4 3 files changed, 449 insertions(+), 615 deletions(-) <cjwatson@sarantium ~/src/ubuntu/pygobject/pygobject-2.14.2>$ diffstat debian/patches/61_dont_use_setwakeupfd.patch configure | 62 ----------------------------------------------------------- configure.ac | 20 ------------------- 2 files changed, 82 deletions(-) If the second patch happens to be applied sufficiently later (in the next second) than the first, the standard Automake rules to rebuild autotools files when they change will note that aclocal.m4 is older than configure.ac, and will therefore rerun aclocal and autoconf, and subsequently run ./config.status --recheck. These are run as subprocesses of make and therefore without the PYTHON environment variable that debian/rules passes to configure; as a result, ./config.status picks up the default system python (2.5) rather than the one forced by the PYTHON environment variable (which is 2.4 in the first build pass). You can see the problem in action by comparing these two build logs: http://launchpadlibrarian.net/15910647/buildlog_ubuntu-hardy-i386.pygobject_2.14.2-0ubuntu1_FULLYBUILT.txt.gz http://launchpadlibrarian.net/15911262/buildlog_ubuntu-hardy-sparc.pygobject_2.14.2-0ubuntu1_FULLYBUILT.txt.gz Possible fixes include: (a) regenerate aclocal.m4 in a later patch rather than in 60_use-python-config-for-includes.patch; (b) touch aclocal.m4 and configure after applying patches; (c) set PYTHON when calling make so that even if ./config.status --recheck is run it will produce correct results. The versions of pygobject in intrepid and jaunty do (a) (they contain debian/patches/90_autofoo.patch) and therefore do not suffer from this problem, although in principle they might later if the autotools patch were removed. I am inclined to recommend approach (c) in both hardy-updates and jaunty, on the basis that it is a more permanent fix. TEST CASE: 1. with hardy-updates enabled and installed, test two or more applications that use pygtk: e.g., alacarte, update-manager, system-config-printer-gnome, quodlibet 2. enable hardy-proposed and install the python-gobject package there 3. retest that the above applications continue to work. This does not test that the python2.4 bindings that have been reintroduced on sparc work correctly - nothing in Ubuntu 8.04 should be using python2.4, really - so we assume that the fact that the python2.4 bindings are again present in the package is sufficient evidence that this is fixed.
2009-01-28 23:56:19 Launchpad Janitor pygobject: status Fix Committed Fix Released
2009-03-10 04:04:07 Bug Watch Updater pygobject: status Unknown Fix Released
2009-12-05 08:35:50 Launchpad Janitor branch linked lp:ubuntu/hardy-proposed/pygobject